haskell-gi-0.26.17: Generate Haskell bindings for GObject Introspection capable libraries

Safe Haskell | None
Language | Haskell2010

Data.GI.GIR.Callable

# Documentation

data Callable Source #

Constructors

Callable |

Fields

- returnType :: Maybe Type
- returnMayBeNull :: Bool
- returnTransfer :: Transfer
- returnDocumentation :: Documentation
- args :: [Arg]
- skipReturn :: Bool
- callableThrows :: Bool
- callableDeprecated :: Maybe DeprecationInfo
- callableDocumentation :: Documentation
- callableResolvable :: Maybe Bool

  Whether the symbol for this callable can be resolved in the dynamical library associated with the current introspection data. `Nothing` means that we have not checked yet.

#### Instances

Instances details

Show Callable Source # |
Instance details Defined in Data.GI.GIR.Callable Methods showsPrec :: Int -> Callable -> ShowS Source # show :: Callable -> String Source # showList :: [Callable] -> ShowS Source #
Eq Callable Source # |
Instance details Defined in Data.GI.GIR.Callable Methods (==) :: Callable -> Callable -> Bool Source # (/=) :: Callable -> Callable -> Bool Source #

parseCallable :: Parser Callable Source #